import { StepRunner, Store } from '../lib/runner';
export declare type CognitoStepRunnerStore = Store & {
    userPoolId: string;
    identityPoolId: string;
    userPoolClientId: string;
    region: string;
    eventsTable: string;
};
export declare const cognitoStepRunners: <W extends CognitoStepRunnerStore>({ developerProviderName, }: {
    developerProviderName: string;
}) => StepRunner<W>[];
